{config, ...}: {
  imports = [
    # Common modules
    ./home.nix
    ./users/jimbo.nix

    # GUI Apps
    ./misc/guifiles.nix
    ./sway/sway.nix
    ./guiapps/foot.nix
    ./guiapps/librewolf.nix
    ./guiapps/mangohud.nix
    ./guiapps/mpv.nix
    ./guiapps/obs.nix
    ./guiapps/pcmanfm-qt.nix
    ./guiapps/rofi.nix
    ./guiapps/swappy.nix
    ./guiapps/easyeffects.nix
    ./tuiapps/ncmpcpp.nix

    # Misc Apps
    ./misc/useful.nix
    ./misc/avtools.nix
    ./misc/filemanager.nix
    ./misc/production.nix
    #./misc/remotedesktop.nix
    #./misc/emulators.nix
    ./misc/school.nix

    # Theming
    ./style/gtk.nix
    ./style/qt.nix

    # Services
    ./services/gnome-keyring.nix
    ./services/mako.nix
    ./services/udiskie.nix
  ];

  # Rebuild this entire system
  programs.zsh = {
    oh-my-zsh.theme = "agnoster"; # risto for VM, half-life for Server
    shellAliases = let
      auth = import ./common/auth.nix;
    in {
      nixdate = ''
        ${auth.method} nixos-rebuild switch --flake /etc/nixos/.#JimDesktop;
        home-manager switch --flake /etc/nixos/.#jimbo@JimDesktop;
        notify-send "NixOS switch finished."
      '';
    };
  };

  # Symlinks
  home.file = {
    "VMs" = {
      source = config.lib.file.mkOutOfStoreSymlink "/etc/libvirt/VMs";
    };
  };
}
